Bug 246712 - games/linux-steam-utils: update to 20200525
Summary: games/linux-steam-utils: update to 20200525
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2020-05-25 03:02 UTC by Alex S
Modified: 2020-06-11 09:13 UTC (History)
4 users (show)

See Also:
iwtcex: maintainer-feedback+


Attachments
update to 20200525 (2.06 KB, patch)
2020-05-25 03:02 UTC, Alex S
no flags Details | Diff
update to 20200525 (2.06 KB, patch)
2020-05-25 05:20 UTC, Alex S
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex S 2020-05-25 03:02:05 UTC
Created attachment 214827 [details]
update to 20200525

This is mostly intended to:
1. fix an SDL segfault on exit with the recent Steam client;
2. bundle a workaround for FMOD initialization bug described in [1] for FreeBSD 12.1.

[1]: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240043#c26
Comment 1 Alex S 2020-05-25 05:20:24 UTC
Created attachment 214829 [details]
update to 20200525

Didn't expect a 1300076 jail.
Comment 2 Alex S 2020-06-07 23:42:12 UTC
You know, I really hope we can get this small update pushed without me resorting to committer harassment or rants. For my sanity, that is.
Comment 3 Kurt Jaeger freebsd_committer 2020-06-11 07:03:56 UTC
testbuilds@work
Comment 4 Dave Cottlehuber freebsd_committer 2020-06-11 08:19:27 UTC
Alex as mentioned in the past, you can ping me directly when you have patches, email or IRC as you like. Please ease up on the passive-agressive commentary. We're all volunteers balancing work, life and pandemics, probably badly. I'll see if I can get BZ to notify me for future patches to this port.
Comment 5 Kurt Jaeger freebsd_committer 2020-06-11 08:21:36 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2020-06-11 08:21:52 UTC
A commit references this bug:

Author: pi
Date: Thu Jun 11 08:20:58 UTC 2020
New revision: 538460
URL: https://svnweb.freebsd.org/changeset/ports/538460

Log:
  games/linux-steam-utils: update to 20200525

  1. fix an SDL segfault on exit with the recent Steam client;
  2. bundle a workaround for FMOD initialization bug described in
     https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240043#c26
     for FreeBSD 12.1.

  PR:		246712
  Submitted by:	Alex S <iwtcex@gmail.com> (maintainer)

Changes:
  head/games/linux-steam-utils/Makefile
  head/games/linux-steam-utils/distinfo
  head/games/linux-steam-utils/pkg-plist
Comment 7 Alex S 2020-06-11 09:06:19 UTC
(In reply to Dave Cottlehuber from comment #4)

> you can ping me directly when you have patches, email or IRC as you like. <...> We're all volunteers

That's the point: I should not notify any single person directly. That kind of workflow means it's impossible to spread the work among available volunteers.

> balancing work, life and pandemics, probably badly

I'm not convinced that's the actual reason. There is a very pronounced tendency to either pick patches almost immediately or basically forget about them. It seems only the mailing lists are getting any attention. Everyone hates Bugzilla's reporting tools?
Comment 8 Alex S 2020-06-11 09:06:53 UTC
(In reply to Kurt Jaeger from comment #5)

Well, thank you.
Comment 9 Kurt Jaeger freebsd_committer 2020-06-11 09:13:51 UTC
(In reply to Alex S from comment #7)
dch@ is interested because maybe this port or this category is his
special interest, so it helps if you inform him.

> > balancing work, life and pandemics, probably badly

> I'm not convinced that's the actual reason.

Well, at least for me it is. I follow the internal lists, read some of the public lists, tend to postmaster@ and phabric@ requests and if I find time, I try to fix PRs that come to my attention, mostly via mail or CC: from PRs.

So most commits from me happen if I contemplate about complex topics @ dayjob.

I guess that's how it works for most of the committers.

And I *love* the bugzilla queries, e.g. those for open bugs from the ports queue.

I just don't have that much time.